Bug 163920 - CAN-2005-2097 gpdf DoS
Summary: CAN-2005-2097 gpdf DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gpdf   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 23:34 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-708
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-10 17:38:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:708 normal SHIPPED_LIVE Moderate: gpdf security update 2005-08-10 04:00:00 UTC

Description Josh Bressers 2005-07-21 23:34:44 UTC
+++ This bug was initially created as a clone of Bug #163918 +++

A broken PDF file is will create a file in /tmp and continue to fill it until
the filesystem is full.

Comment 1 Josh Bressers 2005-07-21 23:35:50 UTC
The patch for this issue is attachment 117043 [details]
The demo exploit for this issue is attachment 117042 [details]

Comment 2 Josh Bressers 2005-07-21 23:36:46 UTC
gpdf contains an internal version of xpdf.

Comment 5 Kristian Høgsberg 2005-08-01 20:51:48 UTC
Errata filed:

  http://porkchop.redhat.com/errata/showrequest.cgi?advisory=2005:708


Comment 6 Mark J. Cox 2005-08-10 08:38:32 UTC
removing embargo

Comment 7 Red Hat Bugzilla 2005-08-10 17:38:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-708.html



Note You need to log in before you can comment on or make changes to this bug.